Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Toolkit 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.soleng.eac.toolkit.utility
Class RollbackUtility

    java.lang.Object
      com.endeca.soleng.eac.toolkit.base.EacElement
          com.endeca.soleng.eac.toolkit.utility.Utility
              com.endeca.soleng.eac.toolkit.utility.RollbackUtility

    public class RollbackUtility

extends Utility

RollbackUtility extends the Utility object, exposing the fields that make up a rollback utility invocation and convenience initializer methods that take all of the arguments required to define a rollback utility.

Field Summary

Fields inherited from class com.endeca.soleng.eac.toolkit.utility.Utility
`EAC_MAX_TOKEN_LENGTH, ENDECA_CONF, IS_WINDOWS, WINDOWS_MAX_PATH_LENGTH`

Fields inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`appName, dataPrefix, eacHost, eacPort, elementId, lockManager, logDir, sslEnabled, workingDir`

Constructor Summary
`RollbackUtility()`
`RollbackUtility(java.lang.String appName, java.lang.String eacHost, int eacPort, boolean sslEnabled)` Default (inherited) constructor.

Method Summary
`com.endeca.eac.client.RunUtilityType` | `buildEacStub()` Builds a RunUtilityType object to send to the EAC.
`java.lang.String` | `getDir()`
`java.lang.String` | `getHostId()`
`void` | `init(java.lang.String token, java.lang.String host, java.lang.String dir)` Rollback initializer.
`protected void` | `initializeEacStub(com.endeca.eac.client.RunRollbackType stub)`
`protected int` | `maximumAllowedTokenLength()`
`void` | `setDir(java.lang.String dir)`
`void` | `setHostId(java.lang.String hostId)`

Methods inherited from class com.endeca.soleng.eac.toolkit.utility.Utility
`getDirContents, getMaxMissedStatusChecksAllowed, getMaxWaitTimeSeconds, getMinWaitTimeSeconds, getNonNullPositiveLongValueOrDefault, getNumMissedStatusChecks, getSlowPollingIntervalMs, getStandardPollingIntervalMs, getStatus, incrementMissedStatusQueries, initializeEacStub, isActive, isFailed, run, runInParallel, setElementId, setMaxMissedStatusQueriesAllowed, setMaxWaitSeconds, setMinWaitSeconds, setNumMissedStatusChecks, setPollingIntervalMs, setSlowPollingIntervalMs, start, stop, waitForFinished`

Methods inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`getAppName, getDataPrefix, getEacHost, getEacPort, getElementId, getLockManager, getLogDir, getWorkingDir, isSslEnabled, setAppName, setDataPrefix, setEacHost, setEacPort, setLockManager, setLogDir, setSslEnabled, setWorkingDir`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RollbackUtility

    public RollbackUtility(java.lang.String appName,
                           java.lang.String eacHost,
                           int eacPort,
                           boolean sslEnabled)
                    throws AppConfigurationException

  Default (inherited) constructor.

  Throws:
    `AppConfigurationException` - If the application name or EAC host is null.

### RollbackUtility

    public RollbackUtility()

Method Detail

### init

    public void init(java.lang.String token,
                     java.lang.String host,
                     java.lang.String dir)

  Rollback initializer.

  Parameters:
    `token` - ID of the rollback utility.
    `host` - ID of the host on which to rollback the directory.
    `dir` - Directory whose most recent backup should be rolled back.

### buildEacStub

    public com.endeca.eac.client.RunUtilityType buildEacStub()

  Description copied from class: `Utility`
  Builds a RunUtilityType object to send to the EAC. If necessary, translates or transforms fields to match the EAC's requirements.

  Overrides:
    `buildEacStub` in class `Utility`
  Returns:
    Returns the RunUtilityType WSDL stub object for this Utility.

### initializeEacStub

    protected void initializeEacStub(com.endeca.eac.client.RunRollbackType stub)

### getDir

    public java.lang.String getDir()

### setDir

    public void setDir(java.lang.String dir)

### getHostId

    public java.lang.String getHostId()

### setHostId

    public void setHostId(java.lang.String hostId)

### maximumAllowedTokenLength

    protected int maximumAllowedTokenLength()

  Overrides:
    `maximumAllowedTokenLength` in class `Utility`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Toolkit 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: EAC Toolkit (eacToolkit)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:15-0500